Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2018-05-30 08:04:11 +0300
committerJunio C Hamano <gitster@pobox.com>2018-05-30 08:04:11 +0300
commit017b7c52fc00897c72f6c4808ded43c4c5f9c5b8 (patch)
tree83869f9d9a095155417a1ec616f4ce4198b689ff /contrib/credential/netrc/t-git-credential-netrc.sh
parentab48bc0aeadd7f6b661bc125a913e1c7d145cd5e (diff)
parent786ef50a23cbd0e93d1e41982cfaba76801ed885 (diff)
Merge branch 'lm/credential-netrc'
Update credential-netrc helper (in contrib/) to allow customizing the GPG used to decrypt the encrypted .netrc file. * lm/credential-netrc: git-credential-netrc: accept gpg option git-credential-netrc: adapt to test framework for git
Diffstat (limited to 'contrib/credential/netrc/t-git-credential-netrc.sh')
-rwxr-xr-xcontrib/credential/netrc/t-git-credential-netrc.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/contrib/credential/netrc/t-git-credential-netrc.sh b/contrib/credential/netrc/t-git-credential-netrc.sh
new file mode 100755
index 0000000000..58191a62f8
--- /dev/null
+++ b/contrib/credential/netrc/t-git-credential-netrc.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+(
+ cd ../../../t
+ test_description='git-credential-netrc'
+ . ./test-lib.sh
+
+ if ! test_have_prereq PERL; then
+ skip_all='skipping perl interface tests, perl not available'
+ test_done
+ fi
+
+ perl -MTest::More -e 0 2>/dev/null || {
+ skip_all="Perl Test::More unavailable, skipping test"
+ test_done
+ }
+
+ # set up test repository
+
+ test_expect_success \
+ 'set up test repository' \
+ 'git config --add gpg.program test.git-config-gpg'
+
+ # The external test will outputs its own plan
+ test_external_has_tap=1
+
+ test_external \
+ 'git-credential-netrc' \
+ perl "$TEST_DIRECTORY"/../contrib/credential/netrc/test.pl
+
+ test_done
+)